summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author rfmae <rf.mae.git@gmail.com>2015-03-09 21:42:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-09 21:42:10 +0700
commitd4c85d4c4d23513e86c7ec3f4ab0c340079de0f2 (patch)
tree208ccb04272bff6584553e3455c0ad73f20770d0 /system
parentc96fbf7d69fc9a28b11db098f24db7c6cc0bcdb5 (diff)
downloadslackbuilds-d4c85d4c4d23513e86c7ec3f4ab0c340079de0f2.tar.gz
slackbuilds-d4c85d4c4d23513e86c7ec3f4ab0c340079de0f2.tar.xz
system/passwordsafe: Added (password database utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/passwordsafe/README16
-rw-r--r--system/passwordsafe/doinst.sh3
-rw-r--r--system/passwordsafe/passwordsafe.SlackBuild136
-rw-r--r--system/passwordsafe/passwordsafe.info10
-rw-r--r--system/passwordsafe/slack-desc19
5 files changed, 184 insertions, 0 deletions
diff --git a/system/passwordsafe/README b/system/passwordsafe/README
new file mode 100644
index 0000000000..9db6f54f7a
--- /dev/null
+++ b/system/passwordsafe/README
@@ -0,0 +1,16 @@
+Password Safe - password database utility (BETA)
+
+Portable version of the password manager program originally designed by Bruce
+Schneier. pwsafe is the Linux version of the popular Windows PasswordSafe
+password manager.
+
+pwsafe supports Yubicos Yubikey, a unique USB and NFC device offering one-touch
+authentication and supporting multiple authentication protocols for all devices
+and platfroms - with no driver or client software needed.
+
+To compile the package without Yubikey support pass NO_YUBI=1 to the script:
+NO_YUBI=1 ./passwordsafe.SlackBuild
+
+In this case you don't need libyubikey and ykpers packages.
+
+Read passwordsafe.info for additional dependencies.
diff --git a/system/passwordsafe/doinst.sh b/system/passwordsafe/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/passwordsafe/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/passwordsafe/passwordsafe.SlackBuild b/system/passwordsafe/passwordsafe.SlackBuild
new file mode 100644
index 0000000000..8538312d79
--- /dev/null
+++ b/system/passwordsafe/passwordsafe.SlackBuild
@@ -0,0 +1,136 @@
+#!/bin/sh
+
+# Slackware build script for passwordsafe
+
+# Copyright 2015 rfmae <rf.mae.git@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=passwordsafe
+VERSION=${VERSION:-0.95.1BETA}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=pwsafe
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Check for YubiKey support.
+YUBI_DISABLED=${NO_YUBI}
+if [ -n "${NO_YUBI-}" ] || [ "${NO_YUBI+x}" = x ]; then
+ YUBI_DISABLED=1
+else
+ YUBI_DISABLED=0
+fi
+
+if [ $YUBI_DISABLED -ne 1 ]; then
+ SLKCFLAGS="$SLKCFLAGS -I/usr/inclued/ykpers-1"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-src.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Change path to help files to the proper directory.
+sed -i 's/\/usr\/share\/doc\/passwordsafe\/help\//\/usr\/share\/pwsafe\/help\//' src/os/linux/dir.cpp
+
+CFLAGS="$SLKCFLAGS"
+CXXFLAGS="$SLKCFLAGS"
+
+make clean
+make release
+cd help
+make
+cd ../src/ui/wxWidgets/I18N
+make mos
+
+cd $TMP/$SRCNAM-$VERSION
+mkdir -p $PKG/usr/bin
+cp -a src/ui/wxWidgets/GCCUnicodeRelease/pwsafe $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cp -a docs/pwsafe.1 $PKG/usr/man/man1/$SRCNAM.1
+mkdir -p $PKG/usr/share/{pixmaps,applications,locale}
+cp -a install/graphics/pwsafe.png $PKG/usr/share/pixmaps
+cp -a install/desktop/pwsafe.desktop $PKG/usr/share/applications
+cp -aR src/ui/wxWidgets/I18N/mos/* $PKG/usr/share/locale
+
+find $PKG -type f -print0 | xargs -0 --no-run-if-empty chmod 644
+chmod 755 $PKG/usr/bin/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$SRCNAM-$VERSION/docs
+cp -a docs/*.{txt,rtf,html} $PKG/usr/doc/$SRCNAM-$VERSION/docs
+cp -a README* LICENSE install/copyright $PKG/usr/doc/$SRCNAM-$VERSION
+mkdir -p $PKG/usr/share/$SRCNAM/{help,xml}
+cp -a help/help*.zip $PKG/usr/share/$SRCNAM/help
+cp -a xml/* $PKG/usr/share/$SRCNAM/xml
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$SRCNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Compress program documentation files > 4k.
+find $PKG/usr/doc/$SRCNAM-$VERSION -type f -size 4k ! -iname *.htm ! -iname *.html \
+ ! -iname *.sh ! -iname *.zip -print0 | xargs -0 --no-run-if-empty /bin/gzip \
+ --verbose --best
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/passwordsafe/passwordsafe.info b/system/passwordsafe/passwordsafe.info
new file mode 100644
index 0000000000..2afc86147f
--- /dev/null
+++ b/system/passwordsafe/passwordsafe.info
@@ -0,0 +1,10 @@
+PRGNAM="passwordsafe"
+VERSION="0.95.1BETA"
+HOMEPAGE="http://passwordsafe.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/passwordsafe/Linux-BETA/0.95.1/pwsafe-0.95.1BETA-src.tgz"
+MD5SUM="e3e3429d08789b6bde6270d1e6a91608"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ykpers xerces-c wxGTK3 xvkbd"
+MAINTAINER="rfmae"
+EMAIL="rf.mae.git@gmail.com"
diff --git a/system/passwordsafe/slack-desc b/system/passwordsafe/slack-desc
new file mode 100644
index 0000000000..b80235e214
--- /dev/null
+++ b/system/passwordsafe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+passwordsafe: password safe (password database utility)
+passwordsafe:
+passwordsafe: Portable version of popular password manager program
+passwordsafe: pwsafe is the Linux version of the popular Windows PasswordSafe
+passwordsafe: password manager.
+passwordsafe:
+passwordsafe: http://passwordsafe.sourceforge.net
+passwordsafe: Rony Shapiro <ronys@users.sf.net>
+passwordsafe:
+passwordsafe:
+passwordsafe: